weka.gui

## Class FileEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - weka.gui.FileEditor

- All Implemented Interfaces:
    java.beans.PropertyEditor

      public class FileEditor
      extends java.beans.PropertyEditorSupport

  A PropertyEditor for File objects that lets the user select a file.
  Version:
    $Revision: 8034 $
  Author:
    Len Trigg (trigg@cs.waikato.ac.nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `getCustomEditor()` Gets the custom editor component.
    `java.lang.String` | `getJavaInitializationString()` Returns a representation of the current property value as java source.
    `boolean` | `isPaintable()` Returns true since this editor is paintable.
    `void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)` Paints a representation of the current Object.
    `boolean` | `supportsCustomEditor()` Returns true because we do support a custom editor.

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getAsText, getSource, getTags, getValue, removePropertyChangeListener, setAsText, setSource, setValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEditor

          public FileEditor()

  - ### Method Detail

    - #### getJavaInitializationString

          public java.lang.String getJavaInitializationString()

      Returns a representation of the current property value as java source.
      Specified by:
        `getJavaInitializationString` in interface `java.beans.PropertyEditor`
      Overrides:
        `getJavaInitializationString` in class `java.beans.PropertyEditorSupport`
      Returns:
        a value of type 'String'

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Returns true because we do support a custom editor.
      Specified by:
        `supportsCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`
      Returns:
        true

    - #### getCustomEditor

          public java.awt.Component getCustomEditor()

      Gets the custom editor component.
      Specified by:
        `getCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `getCustomEditor` in class `java.beans.PropertyEditorSupport`
      Returns:
        a value of type 'java.awt.Component'

    - #### isPaintable

          public boolean isPaintable()

      Returns true since this editor is paintable.
      Specified by:
        `isPaintable` in interface `java.beans.PropertyEditor`
      Overrides:
        `isPaintable` in class `java.beans.PropertyEditorSupport`
      Returns:
        true.

    - #### paintValue

          public void paintValue(java.awt.Graphics gfx,
                                 java.awt.Rectangle box)

      Paints a representation of the current Object.
      Specified by:
        `paintValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `paintValue` in class `java.beans.PropertyEditorSupport`
      Parameters:
        `gfx` - the graphics context to use
        `box` - the area we are allowed to paint into